[%info]
XHTML 1.0
Reference: http://www.w3.org/TR/xhtml1/
Secondary reference: http://www.blooberry.com/indexdot/html/
Note: Some attributes added to favour modern browsers

[%tags]
a
abbr
acronym
address
applet
area
b
base
basefont
bdo
big
blockquote
body
br
button
caption
center
cite
code
col
colgroup
dd
del
dfn
dir
div
dl
dt
em
fieldset
font
form
frame
frameset
h1
h2
h3
h4
h5
h6
head
hr
html
i
iframe
img
input
ins
isindex
kbd
label
legend
li
link
map
menu
meta
noframes
noscript
object
ol
optgroup
option
p
param
pre
q
s
samp
script
select
small
span
strike
strong
style
sub
sup
table
tbody
td
textarea
tfoot
th
thead
title
tr
tt
u
ul
var
ruby
rbc
rtc
rb
rt
rp

[%types]
<dir>=ltr|rtl
<relrev>=alternate|designates|stylesheet|start|next|prev|contents|index|glossary|copyright|chapter|section|subsection|appendix|help|bookmark
<target>=_self|_top|_blank|_parent
<valign>=top|middle|bottom|baseline
<halign>=left|center|right|justify|char
<talign>=left|center|right
<scope>=row|col|rowgroup|colgroup
<string>
<event>
<style>
<lang>
<url>
<char>
<number>
<boolean>
<class>
<id>
<title>

[#core]
class=<class>
id=<id>
style=<style>
title=<string>

[#i18n]
dir=<dir>
lang=<lang>

[#events]
onclick=<event>
ondblclick=<event>
onkeydown=<event>
onkeypress=<event>
onkeyup=<event>
onmousedown=<event>
onmousemove=<event>
onmouseup=<event>
onmouseout=<event>
onmouseover=<event>


[a]
#core
#i18n
#events
%endtag=1
accesskey=<char>
charset=<string>
href=<url>
hreflang=<lang>
name,d=<string>
rel=<relrev>
rev=<relrev>
target=<target>
tabindex=<number>
type=<string>
onblur=<event>
onfocus=<event>

[abbr]
#core
#i18n
#events
%endtag=1

[acronym]
#core
#i18n
#events
%endtag=1

[address]
#core
#i18n
#events
%endtag=1

[applet]
#core
%deprecated=1
%endtag=1
align,d=<align>
alt=<string>
archive,d=<string>
code=<string>
codebase=<url>
height,r,d=<number>
hspace,d=<number>
name=<string>
object=<string>
src=<url>
vspace,d=<number>
width,r,d=<number>

[area]
#core
#i18n
#events
%endtag=0
accesskey=<char>
alt,r=<string>
coords=<string>
href=<url>
nohref=<boolean>
shape=default|rect|circle|poly
tabindex=<number>
target=<target>
usemap=<string>
onblur=<event>
onfocus=<event>

[b]
#core
#i18n
#events
%endtag=1

[base]
%endtag=0
href=<url>
target=<target>

[basefont]
#core
#i18n
%endtag=0
%deprecated=1
color,d=<color>
face,d=<font>
size,r,d=<fontsize>

[bdo]
#core
#i18n
%endtag=1

[big]
#core
#i18n
#events
%endtag=1

[blockquote]
#core
#i18n
%endtag=1
cite=<url>

[body]
#core
#i18n
#events
%endtag=1
alink,d=<color>
background,d=<imageurl>
bgcolor,d=<color>
link,d=<color>
text,d=<color>
vlink,d=<color>
onload=<event>
onunload=<event>

[br]
#core
%endtag=0
clear,d=left|all|right|none

[button]
#core
#i18n
#events
%endtag=1
accesskey=<char>
disabled=<boolean>
name=<string>
tabindex=<number>
type=button|submit|reset
value=<string>
onblur=<event>
onfocus=<event>

[caption]
#core
#i18n
#events
%endtag=1
align,d=top|bottom|left|right

[center]
%endtag=1
%deprecated=1

[cite]
#core
#i18n
#events
%endtag=1

[code]
#core
#i18n
#events
%endtag=1

[col]
#core
#i18n
#events
%endtag=0
align=<halign>
char=<char>
charoff=<number>
span=<number>
valign=<valign>
width=<number>

[colgroup]
#core
#i18n
#events
%endtag=2
align=<halign>
char=<char>
charoff=<number>
span=<number>
valign=<valign>
width=<number>

[dd]
#core
#i18n
#events
%endtag=2

[del]
#core
#i18n
#events
%endtag=1
cite=<url>
datetime=<string>

[dfn]
#core
#i18n
#events
%endtag=1

[dir]
#core
#i18n
#events
%endtag=1
%deprecated=1
compact,d=<boolean>

[div]
#core
#i18n
#events
%endtag=1
align,d=<talign>

[dl]
#core
#i18n
#events
%endtag=1
compact,d=<boolean>

[dt]
#core
#i18n
#events
%endtag=2

[em]
#core
#i18n
#events
%endtag=1

[fieldset]
#core
#i18n
#events
%endtag=1

[font]
#core
#i18n
%endtag=1
%deprecated=1
color,d=<color>
face,d=<font>
size,d=<fontsize>

[form]
#core
#i18n
#events
%endtag=1
accept-charset=<string>
accept=<string>
action,r=<url>
enctype=<string>
method=get|post
target=<target>
name=<string>
onreset=<event>
onsubmit=<event>

[frame]
#core
%endtag=0
frameborder=1|0
longdesc=<url>
marginheight=<number>
marginwidth=<number>
name=<string>
noresize=<boolean>
scrolling=yes|no|auto
src=<url>

[frameset]
#core
%endtag=1
cols=<string>
rows=<string>
onload=<event>
onunload=<event>

[h1]
#core
#i18n
#events
%endtag=1
align,d=<talign>

[h2]
#core
#i18n
#events
%endtag=1
align,d=<talign>

[h3]
#core
#i18n
#events
%endtag=1
align,d=<talign>

[h4]
#core
#i18n
#events
%endtag=1
align,d=<talign>

[h5]
#core
#i18n
#events
%endtag=1
align,d=<talign>

[h6]
#core
#i18n
#events
%endtag=1
align,d=<talign>

[head]
#i18n
%endtag=1
profile=<url>

[hr]
#core
#i18n
#events
%endtag=0
align,d=left|center|right
noshade,d=<boolean>
size,d=<number>
width,d=<number>

[html]
#i18n
%endtag=1
xmlns=<string>
version,d=<string>

[i]
#core
#i18n
#events
%endtag=1

[iframe]
#core
%i18n=0
%endtag=1
align,d=<talign>
frameborder=1|0
height=<number>
longdesc=<url>
marginheight=<number>
marginwidth=<number>
name=<string>
scrolling=auto|yes|no
src=<url>
width=<number>

[img]
#core
#i18n
#events
%endtag=0
align,d=<align>
alt,r=<string>
border,d=<number>
height=<number>
hspace,d=<number>
ismap=<boolean>
longdesc=<url>
name=<string>
src,r=<imageurl>
usemap=<url>
vspace,d=<number>
width=<number>

[input]
#core
#i18n
#events
%endtag=0
accept=<string>
align,d=<talign>
alt=<string>
checked=<boolean>
disabled=<boolean>
ismap=<boolean>
maxlength=<number>
name=<string>
readonly=<boolean>
size=<string>
src=<url>
tabindex=<number>
type=text|password|checkbox|radio|submit|reset|file|hidden|image|button
usemap=<url>
value=<string>
onblur=<event>
onchange=<event>
onfocus=<event>
onselect=<event>

[ins]
#core
#i18n
#events
%endtag=1
cite=<url>
datetime=<string>

[isindex]
#core
#i18n
%endtag=0
%deprecated=1
prompt,d=<string>

[kbd]
#core
#i18n
#events
%endtag=1

[label]
#core
#i18n
#events
%endtag=1
accesskey=<char>
for=<string>
onblur=<event>
onfocus=<event>

[legend]
#core
#i18n
#events
%endtag=1
accesskey=<char>
align,d=top|bottom|left|right

[li]
#core
#i18n
#events
%endtag=2
type,d=disc|circle|square
value,d=<number>

[link]
#core
#i18n
#events
%endtag=0
charset=<string>
href=<url>
hreflang=<lang>
media=screen|tty|tv|projection|handheld|print|braille|aural|all
rel=<relrev>
rev=<relrev>
target=<target>
type=text/css|text/javascript
onkeyup=<event>

[map]
#core
#i18n
#events
%endtag=1
name,d=<string>

[menu]
#core
#i18n
#events
%endtag=1
%deprecated=1
compact,d=<boolean>

[meta]
#i18n
%endtag=0
content,r=<string>
http-equiv=<string>
name=author|description|generator|keywords|revised|robots
scheme=<string>

[noframes]
#core
#i18n
#events
%endtag=1

[noscript]
#core
#i18n
#events
%endtag=1

[object]
#core
#i18n
#events
%endtag=1
align,d=<align>
archive=<string>
border,d=<number>
classid=<url>
codebase=<url>
codetype=<string>
data=<url>
declare=<boolean>
height=<number>
hspace,d=<number>
name=<string>
standby=<string>
tabindex=<number>
type=<string>
usemap=<url>
vspace,d=<number>
width=<number>

[ol]
#core
#i18n
#events
%endtag=1
compact,d=<boolean>
start,d=<number>
type,d=1|a|A|i|I

[optgroup]
#core
#i18n
#events
%endtag=1
disabled=<boolean>
label,r=<string>

[option]
#core
#i18n
#events
%endtag=2
disabled=<boolean>
label=<string>
selected=<boolean>
value=<string>

[p]
#core
#i18n
#events
%endtag=2
align,d=<talign>

[param]
%endtag=0
id=<id>
name,r=<string>
type=<string>
value=<string>
valuetype=data|ref|object

[pre]
#core
#i18n
#events
%endtag=1
width,d=<number>

[q]
#core
#i18n
%endtag=1
cite=<url>

[s]
#core
#i18n
#events
%endtag=1
%deprecated=1

[samp]
#core
#i18n
#events
%endtag=1

[script]
%endtag=1
charset=<string>
defer=<boolean>
event=<string>
for=<string>
language,d=<string>
src=<url>
type,r=<string>

[select]
#core
#i18n
#events
%endtag=1
disabled=<boolean>
multiple=<boolean>
name=<string>
size=<number>
tabindex=<number>
onblur=<event>
onchange=<event>
onfocus=<event>

[small]
#core
#i18n
#events
%endtag=1

[span]
#core
#i18n
#events
%endtag=1

[strike]
#core
#i18n
#events
%endtag=1
%deprecated=1

[strong]
#core
#i18n
#events
%endtag=1

[style]
#i18n
%endtag=1
media=screen|tty|tv|projection|handheld|print|braille|aural|all
title=<string>
type,r=text/css

[sub]
#core
#i18n
#events
%endtag=1

[sup]
#core
#i18n
#events
%endtag=1

[table]
#core
#i18n
#events
%endtag=1
align,d=left|center|right
background=<imageurl>
bgcolor,d=<color>
border=<number>
cellpadding=<number>
cellspacing=<number>
frame=void|above|below|hsides|lhs|rhs|vsides|box|border
rules=none|groups|rows|cols|all
summary=<string>
width=<number>


[tbody]
#core
#i18n
#events
%endtag=1
align=<halign>
char=<char>
charoff=<number>
valign=<valign>

[td]
#core
#i18n
#events
%endtag=2
abbr=<string>
align=<halign>
axis=<string>
bgcolor,d=<color>
char=<char>
charoff=<number>
colspan=<number>
headers=<string>
height,d=<number>
nowrap,d=<boolean>
rowspan=<number>
scope=<scope>
valign=<valign>
width,d=<number>

[textarea]
#core
#i18n
#events
%endtag=1
accesskey=<char>
cols,r=<number>
disabled=<boolean>
name=<string>
readonly=<boolean>
rows,r=<number>
tabindex=<number>
onblur=<event>
onchange=<event>
onfocus=<event>
onselect=<event>

[tfoot]
#core
#i18n
#events
%endtag=2
align=<halign>
char=<char>
charoff=<number>
valign=<valign>

[th]
#core
#i18n
#events
%endtag=2
abbr=<string>
align=<halign>
axis=<string>
background=<imageurl>
bgcolor,d=<color>
char=<char>
charoff=<number>
colspan=<number>
headers=<string>
height,d=<number>
nowrap,d=<boolean>
rowspan=<number>
scope=<scope>
valign=<valign>
width,d=<number>

[thead]
#core
#i18n
#events
%endtag=2
align=<halign>
char=<char>
charoff=<number>
valign=<valign>

[title]
#i18n
%endtag=1

[tr]
#core
#i18n
#events
%endtag=2
align=<halign>
bgcolor,d=<color>
char=<char>
charoff=<number>
valign=<valign>

[tt]
#core
#i18n
#events
%endtag=1

[u]
#core
#i18n
#events
%endtag=1
%deprecated=1

[ul]
#core
#i18n
#events
%endtag=1
compact,d=<boolean>
type,d=disk|circle|square

[var]
#core
#i18n
#events
%endtag=1
